Guest User

Untitled

a guest
Aug 13th, 2019
195
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. python app.py  ✔  10074  11:10:32
  2. /home/h4x3d/Documents/backtrader/omega_ui/omega_ui/configuration.py:21: YAMLLoadWarning:
  3.  
  4. calling yaml.load() without Loader=... is deprecated, as the default Loader is unsafe. Please read https://msg.pyyaml.org/load for full details.
  5.  
  6. * Serving Flask app "app" (lazy loading)
  7. * Environment: production
  8. WARNING: This is a development server. Do not use it in a production deployment.
  9. Use a production WSGI server instead.
  10. * Debug mode: on
  11. /home/h4x3d/Documents/backtrader/omega_ui/omega_ui/configuration.py:21: YAMLLoadWarning:
  12.  
  13. calling yaml.load() without Loader=... is deprecated, as the default Loader is unsafe. Please read https://msg.pyyaml.org/load for full details.
  14.  
  15. Error in loading params: 'NoneType' object has no attribute 'startswith'!
  16. Traceback (most recent call last):
  17. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 526, in connect
  18. sock = self._connect()
  19. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 583, in _connect
  20. raise err
  21. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 571, in _connect
  22. sock.connect(socket_address)
  23. ConnectionRefusedError: [Errno 111] Connection refused
  24.  
  25. During handling of the above exception, another exception occurred:
  26.  
  27. Traceback (most recent call last):
  28. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2463, in __call__
  29. return self.wsgi_app(environ, start_response)
  30. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2449, in wsgi_app
  31. response = self.handle_exception(e)
  32. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1866, in handle_exception
  33. reraise(exc_type, exc_value, tb)
  34. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/_compat.py", line 39, in reraise
  35. raise value
  36. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2446, in wsgi_app
  37. response = self.full_dispatch_request()
  38. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1951, in full_dispatch_request
  39. rv = self.handle_user_exception(e)
  40. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1820, in handle_user_exception
  41. reraise(exc_type, exc_value, tb)
  42. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/_compat.py", line 39, in reraise
  43. raise value
  44. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1949, in full_dispatch_request
  45. rv = self.dispatch_request()
  46. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1935, in dispatch_request
  47. return self.view_functions[rule.endpoint](**req.view_args)
  48. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/dash/dash.py", line 556, in dispatch
  49. return self.callback_map[target_id]['callback'](*args)
  50. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/dash/dash.py", line 513, in add_context
  51. output_value = func(*args, **kwargs)
  52. File "/home/h4x3d/Documents/backtrader/omega_ui/app.py", line 270, in on_intermediate_to_chart
  53. size = r.get(uid + 'size')
  54. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/client.py", line 1332, in get
  55. return self.execute_command('GET', name)
  56. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/client.py", line 836, in execute_command
  57. conn = self.connection or pool.get_connection(command_name, **options)
  58. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 1059, in get_connection
  59. connection.connect()
  60. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 531, in connect
  61. raise ConnectionError(self._error_message(e))
  62. redis.exceptions.ConnectionError: Error 111 connecting to 127.0.0.1:6379. Connection refused.
  63. Error in loading params: 'NoneType' object has no attribute 'startswith'!
  64. Traceback (most recent call last):
  65. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 526, in connect
  66. sock = self._connect()
  67. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 583, in _connect
  68. raise err
  69. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 571, in _connect
  70. sock.connect(socket_address)
  71. ConnectionRefusedError: [Errno 111] Connection refused
  72.  
  73. During handling of the above exception, another exception occurred:
  74.  
  75. Traceback (most recent call last):
  76. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2463, in __call__
  77. return self.wsgi_app(environ, start_response)
  78. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2449, in wsgi_app
  79. response = self.handle_exception(e)
  80. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1866, in handle_exception
  81. reraise(exc_type, exc_value, tb)
  82. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/_compat.py", line 39, in reraise
  83. raise value
  84. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2446, in wsgi_app
  85. response = self.full_dispatch_request()
  86. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1951, in full_dispatch_request
  87. rv = self.handle_user_exception(e)
  88. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1820, in handle_user_exception
  89. reraise(exc_type, exc_value, tb)
  90. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/_compat.py", line 39, in reraise
  91. raise value
  92. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1949, in full_dispatch_request
  93. rv = self.dispatch_request()
  94. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1935, in dispatch_request
  95. return self.view_functions[rule.endpoint](**req.view_args)
  96. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/dash/dash.py", line 556, in dispatch
  97. return self.callback_map[target_id]['callback'](*args)
  98. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/dash/dash.py", line 513, in add_context
  99. output_value = func(*args, **kwargs)
  100. File "/home/h4x3d/Documents/backtrader/omega_ui/app.py", line 270, in on_intermediate_to_chart
  101. size = r.get(uid + 'size')
  102. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/client.py", line 1332, in get
  103. return self.execute_command('GET', name)
  104. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/client.py", line 836, in execute_command
  105. conn = self.connection or pool.get_connection(command_name, **options)
  106. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 1059, in get_connection
  107. connection.connect()
  108. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 531, in connect
  109. raise ConnectionError(self._error_message(e))
  110. redis.exceptions.ConnectionError: Error 111 connecting to 127.0.0.1:6379. Connection refused.
  111. Error in loading params: 'NoneType' object has no attribute 'startswith'!
  112. Traceback (most recent call last):
  113. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 526, in connect
  114. sock = self._connect()
  115. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 583, in _connect
  116. raise err
  117. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 571, in _connect
  118. sock.connect(socket_address)
  119. ConnectionRefusedError: [Errno 111] Connection refused
  120.  
  121. During handling of the above exception, another exception occurred:
  122.  
  123. Traceback (most recent call last):
  124. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2463, in __call__
  125. return self.wsgi_app(environ, start_response)
  126. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2449, in wsgi_app
  127. response = self.handle_exception(e)
  128. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1866, in handle_exception
  129. reraise(exc_type, exc_value, tb)
  130. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/_compat.py", line 39, in reraise
  131. raise value
  132. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2446, in wsgi_app
  133. response = self.full_dispatch_request()
  134. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1951, in full_dispatch_request
  135. rv = self.handle_user_exception(e)
  136. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1820, in handle_user_exception
  137. reraise(exc_type, exc_value, tb)
  138. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/_compat.py", line 39, in reraise
  139. raise value
  140. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1949, in full_dispatch_request
  141. rv = self.dispatch_request()
  142. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1935, in dispatch_request
  143. return self.view_functions[rule.endpoint](**req.view_args)
  144. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/dash/dash.py", line 556, in dispatch
  145. return self.callback_map[target_id]['callback'](*args)
  146. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/dash/dash.py", line 513, in add_context
  147. output_value = func(*args, **kwargs)
  148. File "/home/h4x3d/Documents/backtrader/omega_ui/app.py", line 270, in on_intermediate_to_chart
  149. size = r.get(uid + 'size')
  150. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/client.py", line 1332, in get
  151. return self.execute_command('GET', name)
  152. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/client.py", line 836, in execute_command
  153. conn = self.connection or pool.get_connection(command_name, **options)
  154. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 1059, in get_connection
  155. connection.connect()
  156. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 531, in connect
  157. raise ConnectionError(self._error_message(e))
  158. redis.exceptions.ConnectionError: Error 111 connecting to 127.0.0.1:6379. Connection refused.
  159. Error in loading params: 'NoneType' object has no attribute 'startswith'!
  160. Traceback (most recent call last):
  161. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 526, in connect
  162. sock = self._connect()
  163. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 583, in _connect
  164. raise err
  165. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 571, in _connect
  166. sock.connect(socket_address)
  167. ConnectionRefusedError: [Errno 111] Connection refused
  168.  
  169. During handling of the above exception, another exception occurred:
  170.  
  171. Traceback (most recent call last):
  172. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2463, in __call__
  173. return self.wsgi_app(environ, start_response)
  174. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2449, in wsgi_app
  175. response = self.handle_exception(e)
  176. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1866, in handle_exception
  177. reraise(exc_type, exc_value, tb)
  178. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/_compat.py", line 39, in reraise
  179. raise value
  180. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2446, in wsgi_app
  181. response = self.full_dispatch_request()
  182. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1951, in full_dispatch_request
  183. rv = self.handle_user_exception(e)
  184. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1820, in handle_user_exception
  185. reraise(exc_type, exc_value, tb)
  186. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/_compat.py", line 39, in reraise
  187. raise value
  188. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1949, in full_dispatch_request
  189. rv = self.dispatch_request()
  190. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1935, in dispatch_request
  191. return self.view_functions[rule.endpoint](**req.view_args)
  192. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/dash/dash.py", line 556, in dispatch
  193. return self.callback_map[target_id]['callback'](*args)
  194. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/dash/dash.py", line 513, in add_context
  195. output_value = func(*args, **kwargs)
  196. File "/home/h4x3d/Documents/backtrader/omega_ui/app.py", line 270, in on_intermediate_to_chart
  197. size = r.get(uid + 'size')
  198. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/client.py", line 1332, in get
  199. return self.execute_command('GET', name)
  200. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/client.py", line 836, in execute_command
  201. conn = self.connection or pool.get_connection(command_name, **options)
  202. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 1059, in get_connection
  203. connection.connect()
  204. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 531, in connect
  205. raise ConnectionError(self._error_message(e))
  206. redis.exceptions.ConnectionError: Error 111 connecting to 127.0.0.1:6379. Connection refused.
  207. Traceback (most recent call last):
  208. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 526, in connect
  209. sock = self._connect()
  210. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 583, in _connect
  211. raise err
  212. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 571, in _connect
  213. sock.connect(socket_address)
  214. ConnectionRefusedError: [Errno 111] Connection refused
  215.  
  216. During handling of the above exception, another exception occurred:
  217.  
  218. Traceback (most recent call last):
  219. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2463, in __call__
  220. return self.wsgi_app(environ, start_response)
  221. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2449, in wsgi_app
  222. response = self.handle_exception(e)
  223. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1866, in handle_exception
  224. reraise(exc_type, exc_value, tb)
  225. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/_compat.py", line 39, in reraise
  226. raise value
  227. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2446, in wsgi_app
  228. response = self.full_dispatch_request()
  229. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1951, in full_dispatch_request
  230. rv = self.handle_user_exception(e)
  231. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1820, in handle_user_exception
  232. reraise(exc_type, exc_value, tb)
  233. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/_compat.py", line 39, in reraise
  234. raise value
  235. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1949, in full_dispatch_request
  236. rv = self.dispatch_request()
  237. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1935, in dispatch_request
  238. return self.view_functions[rule.endpoint](**req.view_args)
  239. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/dash/dash.py", line 556, in dispatch
  240. return self.callback_map[target_id]['callback'](*args)
  241. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/dash/dash.py", line 513, in add_context
  242. output_value = func(*args, **kwargs)
  243. File "/home/h4x3d/Documents/backtrader/omega_ui/app.py", line 270, in on_intermediate_to_chart
  244. size = r.get(uid + 'size')
  245. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/client.py", line 1332, in get
  246. return self.execute_command('GET', name)
  247. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/client.py", line 836, in execute_command
  248. conn = self.connection or pool.get_connection(command_name, **options)
  249. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 1059, in get_connection
  250. connection.connect()
  251. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 531, in connect
  252. raise ConnectionError(self._error_message(e))
  253. redis.exceptions.ConnectionError: Error 111 connecting to 127.0.0.1:6379. Connection refused.
  254. Traceback (most recent call last):
  255. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 526, in connect
  256. sock = self._connect()
  257. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 583, in _connect
  258. raise err
  259. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 571, in _connect
  260. sock.connect(socket_address)
  261. ConnectionRefusedError: [Errno 111] Connection refused
  262.  
  263. During handling of the above exception, another exception occurred:
  264.  
  265. Traceback (most recent call last):
  266. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2463, in __call__
  267. return self.wsgi_app(environ, start_response)
  268. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2449, in wsgi_app
  269. response = self.handle_exception(e)
  270. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1866, in handle_exception
  271. reraise(exc_type, exc_value, tb)
  272. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/_compat.py", line 39, in reraise
  273. raise value
  274. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 2446, in wsgi_app
  275. response = self.full_dispatch_request()
  276. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1951, in full_dispatch_request
  277. rv = self.handle_user_exception(e)
  278. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1820, in handle_user_exception
  279. reraise(exc_type, exc_value, tb)
  280. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/_compat.py", line 39, in reraise
  281. raise value
  282. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1949, in full_dispatch_request
  283. rv = self.dispatch_request()
  284. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/flask/app.py", line 1935, in dispatch_request
  285. return self.view_functions[rule.endpoint](**req.view_args)
  286. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/dash/dash.py", line 556, in dispatch
  287. return self.callback_map[target_id]['callback'](*args)
  288. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/dash/dash.py", line 513, in add_context
  289. output_value = func(*args, **kwargs)
  290. File "/home/h4x3d/Documents/backtrader/omega_ui/app.py", line 270, in on_intermediate_to_chart
  291. size = r.get(uid + 'size')
  292. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/client.py", line 1332, in get
  293. return self.execute_command('GET', name)
  294. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/client.py", line 836, in execute_command
  295. conn = self.connection or pool.get_connection(command_name, **options)
  296. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 1059, in get_connection
  297. connection.connect()
  298. File "/mnt/d/ArchHome/Enviornments/.pyenv/versions/3.7.3/envs/venv/lib/python3.7/site-packages/redis/connection.py", line 531, in connect
  299. raise ConnectionError(self._error_message(e))
  300. redis.exceptions.ConnectionError: Error 111 connecting to 127.0.0.1:6379. Connection refused.
RAW Paste Data